if(isFile("Add-Ons/System_ReturnToBlockland/server.cs")) {
	if(!$RTB::Hooks::ServerControl)
   exec("Add-Ons/System_ReturnToBlockland/hooks/serverControl.cs");
	RTB_registerPref( "Toggle Fetch & Find Display", "Admin controls", "$ffEnable", "bool", "Script_F&FDisplay", 1, 0, 0, "");
}

package FFDisplay
{
   function serverCmdFetch(%client, %name)
   {
      parent::ServerCmdFetch(%client, %name);
      
      if(!%client.isAdmin)
      {
         messageClient(%client, 'MsgError', "\c0You are not admin.");
         return;
      }
      if(!$ffEnable) return;
      
      %name = findClientByName(%name);
      if(!isObject(%name)) 
      {
         messageClient(%client, 'MsgError', "\c0Player not found.");         
         return;
      }
      
      if(!%client.hasspawnedonce)
      {
         messageClient(%client, 'MsgError', "\c0You have not spawned yet.");
         return;
      }
      
      if(!%name.hasspawnedonce) 
      {
         messageClient(%client, 'MsgError', "\c0This player has not spawned yet.");
         return;  
      }
      
      messageAll('MsgError', "\c3" @%client.name@ "\c6 fetched \c3" @%name.name@"\c6.");
   }
   
   
   function serverCmdFind(%client, %name)
   {
      parent::ServerCmdFind(%client, %name);
      
      if(!%client.isAdmin)
      {
         messageClient(%client, 'MsgError', "\c0You are not admin.");
         return;
      }
      if(!$ffEnable) return;
      
      %name = findClientByName(%name);
      if(!isObject(%name)) 
      {
         messageClient(%client, 'MsgError', "\c0Player not found.");         
         return;
      }
      
      if(!%client.hasspawnedonce)
      {
         messageClient(%client, 'MsgError', "\c0You have not spawned yet.");
         return;
      }
      
      if(!%name.hasspawnedonce) 
      {
         messageClient(%client, 'MsgError', "\c0This player has not spawned yet.");
         return;  
      }
      
      messageAll('MsgError', "\c3" @%client.name@ "\c6 went to \c3" @%name.name@"\c6.");
   }
};
activatePackage(FFDisplay);

function ServerCmdEnableFF(%client)
{
   if(!%client.isSuperAdmin) return;
   if($ffEnable) {
   messageClient(%client, 'MsgError', "\c3Fetch \c6and \c3Find \c6is already enabled.");
   return;
   }
   messageall('MsgAdminForce', "\c3" @%client.name@ "\c6 has enabled Fetch & Find display.");
   $ffEnable = true;
}
function serverCmdDisableFF(%client)
{
   if(!%client.isSuperAdmin) return;
   if(!$ffEnable) {
   messageClient(%client, 'MsgError', "\c3Fetch \c6and \c3Find \c6is already disabled.");
   return;
   }
   messageall('MsgAdminForce', "\c3" @%client.name@ "\c6 has disabled Fetch & Find display.");
   $ffEnable = false;
}